Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceOKResponse

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceResponse
          com.rsa.ace.techservice.udpserver.AceOKResponse

All Implemented Interfaces:
  AceResponse

Direct Known Subclasses:
  AceOKV2Response

    public class AceOKResponse

extends AbstractAceResponse
implements AceResponse

This class represents an ACE OK Response. (V1)

This class has values for can can construct a agent version one OK response packet.

Constructor Summary
`AceOKResponse(AceDatagram packet, AceRequest request)`
`AceOKResponse(AceRequest request, java.lang.String shell, byte[] nodeSecret)` Creates a new instance of an AceOKResponse packet

Method Summary
`java.lang.String` | `getShell()`
`void` | `processResponse()` Process a response packet by reading from the byte-buffer.
`java.lang.String` | `toString()` Convert the OK Response packet to a string.
`void` | `writeResponse(java.nio.ByteBuffer buf)` Write an AceOKResponse to the internal stream.

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceResponse
`buildResponsePacket, getBuffer, getHeader, getNewNodeSecret, getNodeSecret, getPacket, getProtocolVersion, getRequestToThisResponse, getResponseMsgType, getResponseSize, getResponseStatus, getTrailer, haveNodeSecret, readResponse, setNodeSecret`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceResponse
`buildResponsePacket, getHeader, getPacket, getProtocolVersion, getResponseMsgType, getResponseSize, getResponseStatus, getTrailer, readResponse`

Constructor Detail

### AceOKResponse

    public AceOKResponse(AceDatagram packet,
                         AceRequest request)
                  throws AcePacketException

Parameters:
  `packet` -
Throws:
  `AcePacketException`

### AceOKResponse

    public AceOKResponse(AceRequest request,
                         java.lang.String shell,
                         byte[] nodeSecret)
                  throws AcePacketException

  Creates a new instance of an AceOKResponse packet

  Parameters:
    `request` - The AceRequest to be used to initialize the response.
    `shell` - The shell to be returned in the response.
    `nodeSecret` - The node secret to be returned in the response.
  Throws:
    `SocketException` - If parts of the original request cannot be accessed.
    `AcePacketException`

Method Detail

### writeResponse

    public void writeResponse(java.nio.ByteBuffer buf)
                       throws AcePacketException

  Write an AceOKResponse to the internal stream.

  Specified by:
    `writeResponse` in interface `AceResponse`
  Overrides:
    `writeResponse` in class `AbstractAceResponse`
  Parameters:
    `buf` - The byte buffer to which the response is writtem.
  Throws:
    `AcePacketException` - If there is a problem writing the packet fields.

### processResponse

    public void processResponse()
                         throws AcePacketException

  Process a response packet by reading from the byte-buffer.

  Specified by:
    `processResponse` in interface `AceResponse`
  Overrides:
    `processResponse` in class `AbstractAceResponse`
  Throws:
    `AcePacketException`
    `AcePacketException` - If there is a problem reading the packet byte-buffer.

### toString

    public java.lang.String toString()

  Convert the OK Response packet to a string.

  Specified by:
    `toString` in interface `AceResponse`
  Overrides:
    `toString` in class `AbstractAceResponse`
  Returns:
    A String representation of the response packet.

### getShell

    public java.lang.String getShell()

  Returns:
    Returns the shell.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.